Bug 254235 - HTTPD - "caught SIGTERM, shutting down"
HTTPD - "caught SIGTERM, shutting down"
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-24 17:33 EDT by Mark
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-28 13:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark 2007-08-24 17:33:08 EDT
Description of problem:
Apache's httpd server isn't working on Fedora 8 (rawhide).

Version-Release number of selected component (if applicable):
Latest in rawhide (httpd 2.2.4-8 (-9 is not available yet because it needs a new

Steps to Reproduce:
1. Install Fedora 8 rawhide
2. Install HTTPD (yum -y install httpd)
3. look on http://localhost to see if apache is working. it should be blanc.
Actual results:
Httpd seems to start fine but is in fact not working.

Expected results:
Httpd should run and you should see the welcome page on http://localhost

Additional info:
This is my error log:
[Fri Aug 24 23:20:51 2007] [notice] caught SIGTERM, shutting down
[Fri Aug 24 23:20:51 2007] [notice] suEXEC mechanism enabled (wrapper:
[Fri Aug 24 23:20:51 2007] [notice] Digest: generating secret for digest
authentication ...
[Fri Aug 24 23:20:51 2007] [notice] Digest: done
[Fri Aug 24 23:20:51 2007] [notice] Apache/2.2.4 (Unix) DAV/2 configured --
resuming normal operations

I also tried to install the -9 rpm and older 2.2.4 rpm's. Sadly the new rpm (-9)
isn't available due to a expat thing and older version have bash errors (wasn't
the case with F7).

I also mailed Joe Orton with about the same info as in this bug report.
Comment 1 Joe Orton 2007-08-28 09:53:07 EDT
This is the log you'd see if you (or some script) stopped the server.  Please do:

# service httpd stop
# sleep 10
# > /var/log/httpd/error_log
# service httpd start

and post the new error_log.
Comment 2 Mark 2007-08-28 13:13:45 EDT
This issue has been resolved. The newest update is available at this moment
(2.2.4-9) and together with that new expat is all working fine.

Changed to resolved.

Note You need to log in before you can comment on or make changes to this bug.